# Audio Plugin

This unofficial TaleSpire plugin adds custom ambient and/or music to the core Talespire atmosphere GUI.
Supports both local files and internet files.

This is a colaborative work between Lord Ashes and HolloFox. Lord Ashes did the initial code but most of it
was rewritten by Hollo to use the Atmosphere GUI. Instead of generating new plugin, it was decided to replace
Lord Ashes' plugin. Lord Ashes did a few improvement to Hollo's code for future expandability and added the
remote URL support.

This plugin, like all others, is free but if you want to donate, use: http://LordAshes.ca/TalespireDonate/Donate.php

## Change Log

```
1.1.0: Rewritten to use Atmosphere GUI for selection
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

The plugin will search for Ambient audio in any File Access Plugin friendly location with the following folder
structure:

``CustomData/Audio/Ambient``

The plugin will search for Music audio in any File Access Plugin friendly location with the following folder
structure:

``CustomData/Audio/Music``

Any files, with the extensions listed below, that is in either of these folders will be registered by this plugin
and will show up in the corresponding section of the Atmosphere GUI.

Supported extensions: ``AIF, MP3, OGG, WAV, WWW``

Extensions other than WWW are assoicated with local files where the content of the file contains the audio.
The WWW extension is a special case where the content of the file is a text link (URL) to an internet source for
the audio. 

For example, the file "One More Time.www" might contain the content "http://audiowebsite/music/OneMoreTime.mp3"

The name that shows up in the GUI is the file name with the extension stripped. As such the filename should be
meaningful so as to provide a good title in the menu. The file name can contain spaces.